 #!/bin/bash
 
set -e

backupPath="/tmp/nginxBackup/$(date +%s)"
 
nginxConfigDir=/usr/share/metasec_core/sampledata/ngnix
 
echo "Do you want to use the default james-nginx configurations (this will overwrite your own cofigurations)? Type y/n"
read nginxConf

if [ "$nginxConf" == "y" ]; then
	echo "create backup: $backupPath"
	mkdir -p $backupPath
	cp -R /etc/nginx/* $backupPath
	echo "copy james default nginx files"
	cp -R ${nginxConfigDir}/* /etc/nginx/
fi

echo "Do you want to create a ssl certificate Type y/n"

read sslCert

if [ "$sslCert" == "y" ]; then
	/bin/bash /usr/share/metasec_core/scripts/mk_ssl_cert.sh
fi

service nginx restart

echo "Setup finished"
